#
# This is an STM32F429 discovery board with a single STM32F429ZI chip.
# http://www.st.com/web/catalog/tools/FM116/SC959/SS1532/PF259090
#

source [find interface/atlink.cfg]

#transport select hla_swd

source [find target/at32f435xG.cfg]

#reset_config trst_only
#reset_config srst_only
#reset_config trst_and_srst
#reset_config srst_pulls_trst
#reset_config combined
#reset_config srst_gates_jtag
#reset_config trst_push_pull
#reset_config trst_push_pull

reset_config none

#reset_config [none|trst_only|srst_only|trst_and_srst]
#[srst_pulls_trst|trst_pulls_srst|combined|separate]
#[srst_gates_jtag|srst_nogate] [trst_push_pull|trst_open_drain]
#[srst_push_pull|srst_open_drain]
#[connect_deassert_srst|connect_assert_srst]